Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class IndexArrayIterator

    java.lang.Object
      org.basex.index.IndexArrayIterator

All Implemented Interfaces:
  IndexIterator

    public class IndexArrayIterator

extends java.lang.Object
implements IndexIterator

This interface provides methods for returning index results.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static IndexArrayIterator` | `EMP` Empty iterator.

Fields inherited from interface org.basex.index.IndexIterator
`EMPTY`

Constructor Summary
`IndexArrayIterator(int s)` Constructor.
`IndexArrayIterator(int[][] res, boolean c)` Constructor.

Method Summary
`static IndexArrayIterator` | `and(IndexArrayIterator iai1, IndexArrayIterator iai2, int w)` Merges two index array iterators.
`static IndexArrayIterator` | `merge(IndexArrayIterator iai1, IndexArrayIterator iai2)` Merges two index array iterators.
`boolean` | `more()` Checks if more results are available.
`int` | `next()` Returns the next result.
`FTNode` | `nextFTNode()` Returns the next FTNode.
`void` | `setToken(FTTokenizer[] token)` Sets the tokenizer.
`void` | `setTokenNum(int tn)` Sets the unique token number.
`int` | `size()` Returns the number of index results.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMP

    public static final IndexArrayIterator EMP

  Empty iterator.

Constructor Detail

### IndexArrayIterator

    public IndexArrayIterator(int s)

  Constructor.

  Parameters:
    `s` - size

### IndexArrayIterator

    public IndexArrayIterator(int[][] res,
                              boolean c)

  Constructor.

  Parameters:
    `res` - pre array
    `c` - Flag for data converting

Method Detail

### more

    public boolean more()

  Checks if more results are available.

  Returns:
    result

### nextFTNode

    public FTNode nextFTNode()

  Returns the next FTNode.

  Returns:
    FTNode next FTNode

### next

    public int next()

  Description copied from interface: `IndexIterator`
  Returns the next result.

  Specified by:
    `next` in interface `IndexIterator`
  Returns:
    result

### size

    public int size()

  Description copied from interface: `IndexIterator`
  Returns the number of index results.

  Specified by:
    `size` in interface `IndexIterator`
  Returns:
    size

### setTokenNum

    public void setTokenNum(int tn)

  Sets the unique token number. Used for visualization.

  Parameters:
    `tn` - number of tokens

### setToken

    public void setToken(FTTokenizer[] token)

  Sets the tokenizer.

  Parameters:
    `token` - FTTokenizer

### merge

    public static IndexArrayIterator merge(IndexArrayIterator iai1,
                                           IndexArrayIterator iai2)

  Merges two index array iterators.

  Parameters:
    `iai1` - first index array iterator to merge
    `iai2` - second index array iterator to merge
  Returns:
    IndexArrayIterator

### and

    public static IndexArrayIterator and(IndexArrayIterator iai1,
                                         IndexArrayIterator iai2,
                                         int w)

  Merges two index array iterators.

  Parameters:
    `iai1` - first index array iterator to merge
    `iai2` - second index array iterator to merge
    `w` - distance between two pos values
  Returns:
    IndexArrayIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD